Auto Wizard for New Users

anyway to force new users (first time login) to run the wizard off of the bat?

  • aecnu
    • WP Unicorn

    Greetings bonmaklad,

    Thank you for the great question.

    We can redirect them to the wizard using a log in redirect but it will affect every single log in and not just the first time.

    So to answer the question directly:

    anyway to force new users (first time login) to run the wizard off of the bat?

    The answer would have to be no not that I am aware of without pushing everybody through it on every log in.

    Cheers, Joe

  • aecnu
    • WP Unicorn

    Greetings bonmaklad,

    You can easily push all logging into the wizard using a redirect I believe, but that is the way it will always be whenever they log in.

    To make it on the first time and then not anymore will require custom coding to track their log ins either by cookie or database entry.

    Cheers, Joe

  • bonmaklad
    • The Crimson Coder

    yes that is what we should do!

    add an extra table called WPWIZARD or something and when they complete the wizard is makes it 1 and then on logging in it checks for 1 or 0 and if 1 will just log in as normal if 0 will make them do the wizard

  • aecnu
    • WP Unicorn

    Greetings bonmaklad,

    Thanks for bringing this up, it certainly sounds like a useful customization to the plugin.

    Unfortunately, it is not currently available - but we would love to put it into consideration for future development

    Alternatively, you could see if there's a developer available at wpmu jobs who could get onto it right this minute, but we're aiming to get you sorted ourselves.

    Thank you for the great conversations and I will move this ticket to the feature request area and alert the lead developer of the request.

    Cheers, Joe

  • aecnu
    • WP Unicorn

    Greetings bonmaklad,

    Thank you for your generous offer and I am sure other members will appreciate it as well.

    Not that this will resolve this feature, but I would think you may want to be using the most current version of the plugin if you are indeed going to be custom coding the plugin.

    The system indicates you are currently using version 3.2.2 but version 3.2.3 is available for your use.

    Cheers, Joe

Thank NAME, for their help.

Let NAME know exactly why they deserved these points.

Gift a custom amount of points.